Update User Profile - Password
This API endpoint is utilized to change the password of existing user profiles. It plays a crucial role in maintaining the security of the registered users. Besides safeguarding user details, it also allows for easy password updates should the users decide to change their current passwords.
Request Body
old_password(String): The existing password of the user profile.new_password(String): The new password that will replace the old password.new_password_confirmation(String): The confirmation of the new password. This should match the new_password field.
Response
As this API is merely for updating the password, it does not provide a response as a confirmation of the update, it is representative with an empty array. If the change is not successful (for example, the old password does not match the current password), an error will be thrown.
Query parameters
api_token
Request
This endpoint expects an object.
api
data
Response
Update User Profile - Password
message
api
status
data

